%{?nodejs_find_provides_and_requires}

%global packagename brace-expansion
%global enable_tests 0

Name:		nodejs-brace-expansion
Version:	1.1.3
Release:	2%{?dist}
Summary:	Brace expansion as known from sh/bash

License:	MIT
# License text is at the bottom of README.md
URL:		https://github.com/juliangruber/brace-expansion.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	grep

%description
Brace expansion as known from sh/bash


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

# Create separate license file from the license information at the bottom of
# the README.md file
%{_bindir}/grep -A100 '^## License$' README.md > LICENSE.md


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc *.md example.js
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Feb 12 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.3-1
- Update to upstream 1.1.3 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 17 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-1
- Update to upstream 1.1.2 release

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
